<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>BlockBag (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BlockBag (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":10,"i4":6,"i5":10,"i6":10,"i7":6,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBagException.html" title="class in com.sk89q.worldedit.extent.inventory"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extent/inventory/BlockBag.html" target="_top">Frames</a></li>
<li><a href="BlockBag.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.extent.inventory</div>
<h2 title="Class BlockBag" class="title">Class BlockBag</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.extent.inventory.BlockBag</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">BlockBag</span>
extends java.lang.Object</pre>
<div class="block">Represents a source to get blocks from and store removed ones.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBag.html#BlockBag--">BlockBag</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBag.html#addSingleSourcePosition-com.sk89q.worldedit.util.Location-">addSingleSourcePosition</a></span>(<a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;pos)</code>
<div class="block">Adds a position to be used a source.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBag.html#addSourcePosition-com.sk89q.worldedit.util.Location-">addSourcePosition</a></span>(<a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;pos)</code>
<div class="block">Adds a position to be used a source.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBag.html#fetchBlock-com.sk89q.worldedit.world.block.BlockState-">fetchBlock</a></span>(<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;blockState)</code>
<div class="block">Get a block.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBag.html#fetchPlacedBlock-com.sk89q.worldedit.world.block.BlockState-">fetchPlacedBlock</a></span>(<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;blockState)</code>
<div class="block">Sets a block as if it was placed by hand.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBag.html#flushChanges--">flushChanges</a></span>()</code>
<div class="block">Flush any changes.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBag.html#peekBlock-com.sk89q.worldedit.world.block.BlockState-">peekBlock</a></span>(<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;blockState)</code>
<div class="block">Checks to see if a block exists without removing it.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBag.html#storeBlock-com.sk89q.worldedit.world.block.BlockState-">storeBlock</a></span>(<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;blockState)</code>
<div class="block">Store a block.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBag.html#storeBlock-com.sk89q.worldedit.world.block.BlockState-int-">storeBlock</a></span>(<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;blockState,
          int&nbsp;amount)</code>
<div class="block">Store a block.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBag.html#storeDroppedBlock-com.sk89q.worldedit.world.block.BlockState-">storeDroppedBlock</a></span>(<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;blockState)</code>
<div class="block">Stores a block as if it was mined.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BlockBag--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BlockBag</h4>
<pre>public&nbsp;BlockBag()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="storeDroppedBlock-com.sk89q.worldedit.world.block.BlockState-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>storeDroppedBlock</h4>
<pre>public&nbsp;void&nbsp;storeDroppedBlock(<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;blockState)
                       throws <a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBagException.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBagException</a></pre>
<div class="block">Stores a block as if it was mined.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>blockState</code> - the block state</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBagException.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBagException</a></code> - on error</dd>
</dl>
</li>
</ul>
<a name="fetchPlacedBlock-com.sk89q.worldedit.world.block.BlockState-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fetchPlacedBlock</h4>
<pre>public&nbsp;void&nbsp;fetchPlacedBlock(<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;blockState)
                      throws <a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBagException.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBagException</a></pre>
<div class="block">Sets a block as if it was placed by hand.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>blockState</code> - The block state</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBagException.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBagException</a></code> - on error</dd>
</dl>
</li>
</ul>
<a name="fetchBlock-com.sk89q.worldedit.world.block.BlockState-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fetchBlock</h4>
<pre>public abstract&nbsp;void&nbsp;fetchBlock(<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;blockState)
                         throws <a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBagException.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBagException</a></pre>
<div class="block">Get a block.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>blockState</code> - the block state</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBagException.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBagException</a></code> - on error</dd>
</dl>
</li>
</ul>
<a name="storeBlock-com.sk89q.worldedit.world.block.BlockState-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>storeBlock</h4>
<pre>public&nbsp;void&nbsp;storeBlock(<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;blockState)
                throws <a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBagException.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBagException</a></pre>
<div class="block">Store a block.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>blockState</code> - The block state</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBagException.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBagException</a></code> - on error</dd>
</dl>
</li>
</ul>
<a name="storeBlock-com.sk89q.worldedit.world.block.BlockState-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>storeBlock</h4>
<pre>public abstract&nbsp;void&nbsp;storeBlock(<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;blockState,
                                int&nbsp;amount)
                         throws <a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBagException.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBagException</a></pre>
<div class="block">Store a block.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>blockState</code> - The block state</dd>
<dd><code>amount</code> - The amount</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBagException.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBagException</a></code> - on error</dd>
</dl>
</li>
</ul>
<a name="peekBlock-com.sk89q.worldedit.world.block.BlockState-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>peekBlock</h4>
<pre>public&nbsp;boolean&nbsp;peekBlock(<a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;blockState)</pre>
<div class="block">Checks to see if a block exists without removing it.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>blockState</code> - the block state</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether the block exists</dd>
</dl>
</li>
</ul>
<a name="flushChanges--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>flushChanges</h4>
<pre>public abstract&nbsp;void&nbsp;flushChanges()</pre>
<div class="block">Flush any changes. This is called at the end.</div>
</li>
</ul>
<a name="addSourcePosition-com.sk89q.worldedit.util.Location-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addSourcePosition</h4>
<pre>public abstract&nbsp;void&nbsp;addSourcePosition(<a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;pos)</pre>
<div class="block">Adds a position to be used a source.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pos</code> - the position</dd>
</dl>
</li>
</ul>
<a name="addSingleSourcePosition-com.sk89q.worldedit.util.Location-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addSingleSourcePosition</h4>
<pre>public abstract&nbsp;void&nbsp;addSingleSourcePosition(<a href="../../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;pos)</pre>
<div class="block">Adds a position to be used a source.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pos</code> - the position</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/extent/inventory/BlockBagException.html" title="class in com.sk89q.worldedit.extent.inventory"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extent/inventory/BlockBag.html" target="_top">Frames</a></li>
<li><a href="BlockBag.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
